Bug 1025131 - (CVE-2013-4486) CVE-2013-4486 Zanata: Remote code execution due to EL interpolation in logging
CVE-2013-4486 Zanata: Remote code execution due to EL interpolation in logging
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140321,repo...
: Security
Depends On: 1025622
Blocks: 1025132
  Show dependency treegraph
 
Reported: 2013-10-31 01:18 EDT by David Jorm
Modified: 2014-10-20 20:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-21 00:52:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2013-10-31 01:18:21 EDT
Seam logging evaluates expression language (EL) statements in log messages. If an application includes user-provided strings in log messages directly via string concatenation, then a remote attacker could inject EL statements directly into the log messages, which would be evaluated on the server. If debug logging is enabled, Zanata performs logging of user-supplied strings using string concatenation. A remote attacker could use this flaw to execute arbitrary code in the context of the application server running Zanata.
Comment 1 Arun Babu Neelicattu 2013-10-31 01:33:08 EDT
Acknowledgements:

This issue was discovered by David Jorm of the Red Hat Security Response Team. The reporter acknowledges Adrian Hayes of Security-Assessment.com as the original reporter of this category of flaw.
Comment 3 David Jorm 2014-03-21 00:52:42 EDT
Statement:

Not Vulnerable. Zanata is not shipped in any supported Red Hat products.

Note You need to log in before you can comment on or make changes to this bug.